{{#*inline "categoryPartial"}}
{{#if this.hasContent}}
<section class="category" data-category-id="{{ this.id }}" data-folder-id="{{ this.folder.id }}">
    <header class="category-header flexrow">
        <h2 class="category-title">{{ this.title }}</h2>
        <div class="controls">
            {{#if this.displayVisibilityButtons }}
                {{#if this.visibleByPlayers }}
                    <button type="button" class="world-anvil-control" data-action="hide-folder" data-category-id="{{ this.id }}" title="{{ localize 'WA.ButtonVisibilityHide' }}">
                        <i class="far fa-eye"></i>
                    </button>
                {{else}}
                    <button type="button" class="world-anvil-control" data-action="display-folder" data-category-id="{{ c.id }}" title="{{ localize 'WA.ButtonVisibilityDisplay' }}">
                        <i class="far fa-eye-slash"></i>
                    </button>
                {{/if}}
            {{/if}}

            {{#if this.folder }}
                <button type="button" class="world-anvil-control" data-action="sync-folder" title="{{ localize 'WA.ButtonSyncCategory' }}">
                    <i class="fas fa-sync fa-fw"></i>
                </button>
            {{else}}
                <button type="button" class="world-anvil-control" data-action="sync-folder" title="{{ localize 'WA.ButtonImportCategory' }}">
                    <i class="fas fa-folder-plus fa-fw"></i>
                </button>
            {{/if}}

            {{#unless this.isUncategorized}}
                <button type="button" class="world-anvil-control">
                    <a class="world-anvil-link" href="{{this.url}}" title="{{ localize 'WA.ButtonOnWA' }}" target="_blank"></a>
                </button>
            {{/unless}}
        </div>
    </header>

    {{#if this.hasChildrenWithContent}}
    <section class="subcategories">
    {{#each this.children}}
        {{> "categoryPartial"}}
    {{/each}}
    </section>
    {{/if}}

    {{#if this.articles.length}}
    <section class="articles">
    {{#each this.articles}}
        {{> "articlePartial"}}
    {{/each}}
    </section>
    {{/if}}
</section>
{{/if}}
{{/inline}}

{{#*inline "articlePartial"}}
<article class="article flexrow" data-article-id="{{ this.id }}" data-entry-id="{{ this.entry.id }}">
    <h3 class="article-title">{{ this.title }}</h3>
    <div class="controls">
        {{#if this.entry }}
            {{#if this.visibleByPlayers }}
                <button type="button" class="world-anvil-control" data-action="hide-entry" data-entry-id="{{ this.entry.id }}" title="{{ localize 'WA.ButtonVisibilityHide' }}">
                    <i class="far fa-eye"></i>
                </button>
            {{else}}
                <button type="button" class="world-anvil-control" data-action="display-entry" data-entry-id="{{ this.entry.id }}" title="{{ localize 'WA.ButtonVisibilityDisplay' }}">
                    <i class="far fa-eye-slash"></i>
                </button>
            {{/if}}

            <button type="button" class="world-anvil-control" data-action="sync-entry" title="{{localize 'WA.ButtonSyncArticle'}}">
                <i class="fas fa-sync fa-fw"></i>
            </button>
        {{else}}
            <button type="button" class="world-anvil-control" data-action="sync-entry" title="{{localize 'WA.ButtonImportArticle'}}">
                <i class="fas fa-file-import fa-fw"></i>
            </button>
        {{/if}}
        <button type="button" class="world-anvil-control">
            <a class="world-anvil-link" href="{{this.url}}" title="{{ localize 'WA.ButtonOnWA' }}" target="_blank"></a>
        </button>
    </div>
</article>
{{/inline}}

<section class="world-details">
    <header>
        <h2>
            <a class="world-anvil-link" href="{{ world.url }}" title="{{ localize 'WA.ButtonOnWA' }}" target="_blank">{{ world.name }}</a>
        </h2>
    </header>
    <article class="world-description">
        {{{ world.description_parsed }}}
    </article>
</section>

<section class="world-articles">
    <nav class="article-filters flexrow">
        <button type="button" class="world-anvil-control" data-action="import-all">
            <i class="fas fa-file-import fa-fw"></i> {{localize "WA.ButtonImportAll"}}
        </button>
        <button type="button" class="world-anvil-control" data-action="sync-all">
            <i class="fas fa-sync fa-fw"></i> {{localize "WA.ButtonSyncAll"}}
        </button>
        <button type="button" class="world-anvil-control {{#unless displayDraft}}inactive{{/unless}}" data-action="toggle-drafts" >
            <i class="fas fa-feather-alt"></i> {{ localize 'WA.ButtonToggleDraft' }}
        </button>
        <button type="button" class="world-anvil-control {{#unless displayWIP}}inactive{{/unless}}" data-action="toggle-wip">
            <i class="fas fa-hammer"></i> {{ localize 'WA.ButtonToggleWIP' }}
        </button>
    </nav>

    {{#each tree}}
    {{> "categoryPartial"}}
    {{/each}}
</section>
